#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main(){
    string s;
    cin>>s;
    reverse(s.begin(),s.end());
    int temp=0;
    for(int i=0;i<s.size();i++){
    	if(s[i]!='0'){temp=i;
			break;	
		}
	}
	for(int i=temp;i<s.size();i++){
		if(s[i]=='5'){
			cout<<"2";
		}
		else if(s[i]=='2'){
			cout<<"5";
		}
		else{
			cout<<s[i];
		}
	}

}

